Method: organizations.notificationConfigs.create

Creates a notification config.

IAM Permissions

Requires the following IAM permission on the resource specified in the parent field:

  • securitycenter.notificationconfig.create

Also requires the following IAM permission on the notificationConfig.pubsub_topic field (when pubsubTopic is specified):

  • pubsub.topics.setIamPolicy

HTTP request


POST https://securitycenter.googleapis.com/v1p1beta1/{parent=organizations/*}/notificationConfigs

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Resource name of the new notification config's parent. Its format is "organizations/[organizationId]".

Query parameters

Parameters
configId

string

Required. Unique identifier provided by the client within the parent scope. It must be between 1 and 128 characters, and contains alphanumeric characters, underscores or hyphens only.

Request body

The request body contains an instance of NotificationConfig.

Response body

If successful, the response body contains a newly created instance of NotificationConfig.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/securitycenter

For more information, see the Authentication Overview.